# -*- coding: utf-8 -*-
from setuptools import setup

package_dir = \
{'': 'src'}

packages = \
['ipywidgets_toggle_buttons']

package_data = \
{'': ['*']}

install_requires = \
['ipywidgets>=7.6.3,<8.0.0']

setup_kwargs = {
    'name': 'ipywidgets-toggle-buttons',
    'version': '0.1.7',
    'description': 'PYPI package with better toggle buttons',
    'long_description': '==========================\nipywidgets_toggle_buttons\n==========================\n\n.. image:: https://img.shields.io/github/last-commit/stas-prokopiev/ipywidgets_toggle_buttons\n   :target: https://img.shields.io/github/last-commit/stas-prokopiev/ipywidgets_toggle_buttons\n   :alt: GitHub last commit\n\n.. image:: https://img.shields.io/github/license/stas-prokopiev/ipywidgets_toggle_buttons\n    :target: https://github.com/stas-prokopiev/ipywidgets_toggle_buttons/blob/master/LICENSE.txt\n    :alt: GitHub license<space><space>\n\n.. image:: https://readthedocs.org/projects/ipywidgets-toggle-buttons/badge/?version=latest\n    :target: https://ipywidgets-toggle-buttons.readthedocs.io/en/latest/?badge=latest\n    :alt: Documentation Status\n\n.. image:: https://img.shields.io/pypi/v/ipywidgets_toggle_buttons\n   :target: https://img.shields.io/pypi/v/ipywidgets_toggle_buttons\n   :alt: PyPI\n\n.. image:: https://img.shields.io/pypi/pyversions/ipywidgets_toggle_buttons\n   :target: https://img.shields.io/pypi/pyversions/ipywidgets_toggle_buttons\n   :alt: PyPI - Python Version\n\n\n.. contents:: **Table of Contents**\n\nShort Overview.\n=========================\n\nipywidgets_toggle_buttons is a simple python package(**py>=3.6**)\nwith more toggle buttons for ipywidgets\n\nInstallation via pip:\n======================\n\n.. code-block:: bash\n\n    pip install ipywidgets_toggle_buttons\n\nLong Overview.\n===================================================================\n\nThis python package consists of other ToggleButtons classes\n\n- ToggleButtonsAutoSize - To adjust buttons size to show full their\'s description\n- MultiToggleButtons - To select a few options at once with usual ToggleButtons interface\n- ToggleButtonsWithHide - ToggleButtonsAutoSize + Hidden options\n- MultiToggleButtonsWithHide - MultiToggleButtons + Hidden options\n\n| All of them will adjust size of buttons if options are modified.\n| Also they have usual interfaces to work with values and options\n\nSimple Usage examples\n===================================================================\n\nToggleButtonsAutoSize\n------------------------------------------------------------------------------\n\nCreate and show this widget\n^^^^^^^^^^^^^^^^^^^^^^^^^^^^\n\n.. code-block:: python\n\n    from ipywidgets_toggle_buttons import ToggleButtonsAutoSize\n    wid = ToggleButtonsAutoSize(options=[str(i) for i in range(10)])\n    wid  # OR wid.box_widget\n\n.. image:: images/toggle_buttons_auto_size_1.JPG\n\n.. code-block:: python\n\n    print(wid.value)  # "0"\n    print(wid.options)  # (\'0\', \'1\', \'2\', \'3\', \'4\', \'5\', \'6\', \'7\', \'8\', \'9\')\n    print(wid.layout.width)  # \'100%\'\n\n.. code-block:: python\n\n    wid.options = list(wid.options) + ["ajhfkaghnkandjgnakdn"]\n\n.. image:: images/toggle_buttons_auto_size_2.JPG\n\n\nMultiToggleButtons\n------------------------------------------------------------------------------\n\nCreate and show this widget\n^^^^^^^^^^^^^^^^^^^^^^^^^^^^\n\n.. code-block:: python\n\n    from ipywidgets_toggle_buttons import MultiToggleButtons\n    wid = MultiToggleButtons(\n        options=[str(i) for i in range(10)],\n        max_chosen_values=2,\n    )\n    wid  # OR wid.box_widget\n\n.. image:: images/multi_toggle_buttons_1.JPG\n\n.. code-block:: python\n\n    def on_value_change(_):\n        print("pew")\n\n    wid.observe(on_value_change, \'value\')\n    print(wid.value)  # ()\n    wid.value = ["2", "8"]  # "pew"\n\n.. image:: images/multi_toggle_buttons_2.JPG\n\n\nToggleButtonsWithHide\n------------------------------------------------------------------------------\n\nCreate and show this widget\n^^^^^^^^^^^^^^^^^^^^^^^^^^^^\n\n.. code-block:: python\n\n    from ipywidgets_toggle_buttons import ToggleButtonsWithHide\n    wid = ToggleButtonsWithHide(\n        value="0",\n        options_visible=[str(i) for i in range(10)],\n        options_hidden=[str(i) for i in range(5, 15)],\n    )\n    wid  # OR wid.box_widget\n\n.. image:: images/toggle_buttons_with_hide_1.JPG\n\nAfter pressing the button **Show Hidden Options**\n\n.. image:: images/toggle_buttons_with_hide_2.JPG\n\nSelect value 12\n\n.. image:: images/toggle_buttons_with_hide_3.JPG\n\nAnd hide Hidden options\n\n.. image:: images/toggle_buttons_with_hide_4.JPG\n\n\n.. code-block:: python\n\n    print(wid.value)  # "12"\n    wid.options_visible = [str(i) for i in range(2)]\n    wid.options_hidden = [f"another {i}" for i in range(2)]\n\n.. image:: images/toggle_buttons_with_hide_5.JPG\n\nMultiToggleButtonsWithHide\n------------------------------------------------------------------------------\n\nCreate and show this widget\n^^^^^^^^^^^^^^^^^^^^^^^^^^^^\n\n.. code-block:: python\n\n    from ipywidgets_toggle_buttons import MultiToggleButtonsWithHide\n    wid = MultiToggleButtonsWithHide(\n        options_visible=[str(i) for i in range(10)],\n        options_hidden=[str(i) for i in range(5, 15)],\n        max_chosen_values=4,\n    )\n    wid  # OR wid.box_widget\n\n.. image:: images/multi_toggle_buttons_with_hide_1.JPG\n\nAfter pressing the button **Show Hidden Options**\n\n.. image:: images/multi_toggle_buttons_with_hide_2.JPG\n\nSelect a few options and hide all Hidden options\n\n.. image:: images/multi_toggle_buttons_with_hide_3.JPG\n\n.. code-block:: python\n\n    print(wid.value)  # (\'1\', \'9\', \'11\', \'13\')\n    print(wid.options_hidden)  # (\'10\', \'11\', \'12\', \'13\', \'14\')\n\nIf at any moment you want to change the options then it can be done like shown below\n\n.. code-block:: python\n\n    wid.options_visible = [str(i) for i in range(2)]\n    wid.options_hidden = [f"another {i}" for i in range(2)]\n\nAdvanced Usage examples\n===================================================================\n\n\nHow to add this widgets into the Box, HBox, VBox\n------------------------------------------------------------\n\n.. code-block:: python\n\n    from ipywidget import Box\n\n    wid = AnyToggleButton(\n        ...,\n        func_to_get_option_width=func_new_width\n    )\n\n    wid_box = Box([])\n\n    def func_new_width(iter_options):\n\n        int_max_width = 0\n        for option in iter_options:\n            cur_but_width = 8 * len(option)\n            if cur_but_width > int_max_width:\n                int_max_width = cur_but_width\n        return int_max_width\n\nHow to adjust buttons width differently\n------------------------------------------------------------\n\nDuring the initialization of any widget pass additional argument\n**func_to_get_option_width** with function which accepts itterator over options\nand returns 1 integer with width to use for this buttons\n\n.. code-block:: python\n\n    def func_new_width(iter_options):\n\n        int_max_width = 0\n        for option in iter_options:\n            cur_but_width = 8 * len(option)\n            if cur_but_width > int_max_width:\n                int_max_width = cur_but_width\n        return int_max_width\n\n    wid = AnyToggleButton(\n        ...,\n        func_to_get_option_width=func_new_width\n    )\n\nHow to access all options of the widget\n------------------------------------------------------------\n\nUse attribute **.widget** to get full control over shown widget\n\n.. code-block:: python\n\n    wid = AnyToggleButton(...)\n    wid.widget\n\n\nLinks\n=====\n\n    * `PYPI <https://pypi.org/project/ipywidgets_toggle_buttons/>`_\n    * `readthedocs <https://ipywidgets-toggle-buttons.readthedocs.io/en/latest/>`_\n    * `GitHub <https://github.com/stas-prokopiev/ipywidgets_toggle_buttons>`_\n\nProject local Links\n===================\n\n    * `CONTRIBUTING <https://github.com/stas-prokopiev/ipywidgets_toggle_buttons/blob/master/CONTRIBUTING.rst>`_.\n\nContacts\n========\n\n    * Email: stas.prokopiev@gmail.com\n    * `vk.com <https://vk.com/stas.prokopyev>`_\n    * `Facebook <https://www.facebook.com/profile.php?id=100009380530321>`_\n\nLicense\n=======\n\nThis project is licensed under the MIT License.',
    'author': 'stanislav',
    'author_email': 'stas.prokopiev@gmail.com',
    'maintainer': None,
    'maintainer_email': None,
    'url': 'https://github.com/stas-prokopiev/ipywidgets_toggle_buttons',
    'package_dir': package_dir,
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.6,<4.0',
}


setup(**setup_kwargs)
